instdso.sh
来自「以便Apache与其他服务进行整合 Mod_JK安装」· Shell 代码 · 共 92 行
SH
92 行
#!/bin/sh## Licensed to the Apache Software Foundation (ASF) under one or more# contributor license agreements. See the NOTICE file distributed with# this work for additional information regarding copyright ownership.# The ASF licenses this file to You under the Apache License, Version 2.0# (the "License"); you may not use this file except in compliance with# the License. You may obtain a copy of the License at## http://www.apache.org/licenses/LICENSE-2.0## Unless required by applicable law or agreed to in writing, software# distributed under the License is distributed on an "AS IS" BASIS,# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.# See the License for the specific language governing permissions and# limitations under the License.### instdso.sh - install Apache DSO modules## we use this instead of libtool --install because:# 1) on a few platforms libtool doesn't install DSOs exactly like we'd# want (weird names, doesn't remove DSO first)# 2) we never want the .la files copied, so we might as well copy# the .so files ourselvesif test "$#" != "3"; then echo "wrong number of arguments to instdso.sh" echo "Usage: instdso.sh SH_LIBTOOL-value dso-name path-to-modules" exit 1fiSH_LIBTOOL=`echo $1 | sed -e 's/^SH_LIBTOOL=//'`DSOARCHIVE=$2DSOARCHIVE_BASENAME=`basename $2`TARGETDIR=$3DSOBASE=`echo $DSOARCHIVE_BASENAME | sed -e 's/\.la$//'`TARGET_NAME="$DSOBASE.so"SYS=`uname -s`if test "$SYS" = "AIX"then # on AIX, shared libraries remain in storage even when # all processes using them have exited; standard practice # prior to installing a shared library is to rm -f first CMD="rm -f $TARGETDIR/$TARGET_NAME" echo $CMD $CMD || exit $?fiCMD="$SH_LIBTOOL --mode=install cp $DSOARCHIVE $TARGETDIR/"echo $CMD$CMD || exit $?if test "$SYS" = "OS/2"then # on OS/2, aplibtool --install doesn't copy the .la files & we can't # rename DLLs to have a .so extension or they won't load so none of the # steps below make sense. exit 0fiif test -s "$TARGETDIR/$DSOARCHIVE_BASENAME"then DLNAME=`sed -n "/^dlname=/{s/.*='\([^']*\)'/\1/;p;}" $TARGETDIR/$DSOARCHIVE_BASENAME` LIBRARY_NAMES=`sed -n "/^library_names/{s/library_names='\([^']*\)'/\1/;p;}" $TARGETDIR/$DSOARCHIVE_BASENAME` LIBRARY_NAMES=`echo $LIBRARY_NAMES | sed -e "s/ *$DLNAME//g"`fiif test -z "$DLNAME"then echo "Warning! dlname not found in $TARGETDIR/$DSOARCHIVE_BASENAME." echo "Assuming installing a .so rather than a libtool archive." exit 0fiif test -n "$LIBRARY_NAMES"then for f in $LIBRARY_NAMES do rm -f $TARGETDIR/$f donefiif test "$DLNAME" != "$TARGET_NAME"then mv $TARGETDIR/$DLNAME $TARGETDIR/$TARGET_NAMEfiexit 0
⌨️ 快捷键说明
复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?